# $Id: rpm-build-python.spec 416 2004-12-19 09:35:57Z cray $

Name: rpm-build-python
Version: 0.26
Release: alt1

Summary: RPM helper macros to rebuild python packages
License: GPL
Group: Development/Other

Source0: %name-%version.tar.gz
BuildArch: noarch

Requires: %_sysconfdir/rpm/macros.d
Requires: rpm-build >= 4.0.4-alt38.d
Requires: rpm >= 4.0.4-alt38.d
AutoReqProv: yes, nopython

%description
These helper macros provide possibility to rebuild
python modules by some Alt Linux Team Policy compatible way.

%package tools
Summary: diagnostic tools
Group: Development/Python

%description tools
Package consist small toolset to diaganostic common problem of requires in python modules.

%prep
%setup

%build

%install
%__install -pD -m644 python $RPM_BUILD_ROOT/etc/rpm/macros.d/python
%__install -pD -m755 python.prov.py $RPM_BUILD_ROOT/usr/lib/rpm/python.prov.py
%__install -pD -m755 python.req.py $RPM_BUILD_ROOT/usr/lib/rpm/python.req.py
%__install -pD -m755 python.compileall.py $RPM_BUILD_ROOT/usr/lib/rpm/python.compileall.py
%__install -pd -m755 $RPM_BUILD_ROOT%python_tooldir/rpm-build
%__install -pD -m644 bdist_altrpm.py $RPM_BUILD_ROOT%python_libdir/distutils/command/bdist_altrpm.py
%__install -pD -m755 tools/*py $RPM_BUILD_ROOT%python_tooldir/rpm-build
%__install -pd -m755 $RPM_BUILD_ROOT%python_tooldir/rpm-build/find
%__install -pD -m644 tools/find/*py $RPM_BUILD_ROOT%python_tooldir/rpm-build/find
%__install -pd -m755 $RPM_BUILD_ROOT%_bindir

ln -s %python_tooldir/rpm-build/imalyzer.py $RPM_BUILD_ROOT%_bindir/imalyzer
ln -s %python_tooldir/rpm-build/requires.py $RPM_BUILD_ROOT%_bindir/py_requires
ln -s %python_tooldir/rpm-build/provides.py $RPM_BUILD_ROOT%_bindir/py_provides

unset RPM_PYTHON

%files
/etc/rpm/macros.d/python
%_libdir/rpm/python.compileall.py
%_libdir/rpm/python.req.py
%_libdir/rpm/python.prov.py
%python_libdir/distutils/command/bdist_altrpm.py
%doc python-module-SAMPLE.spec policy notes doc

%files tools
%_bindir/*
%python_tooldir/rpm-build

%changelog
* Mon Jul 25 2005 Andrey Orlov <cray@altlinux.ru> 0.26-alt1
- Generation hierarchical requires fixed

* Wed May 11 2005 Andrey Orlov <cray@altlinux.ru> 0.24-alt2
- Tools renamed

* Tue May 10 2005 Andrey Orlov <cray@altlinux.ru> 0.23-alt2
- Diagnostic tools package added

* Tue Mar 22 2005 Andrey Orlov <cray@altlinux.ru> 0.21-alt2
- Some files moved from /python2.3 to /python2.4

* Wed Feb 02 2005 Andrey Orlov <cray@altlinux.ru> 0.21-alt1
- Draft of new policy version added

* Sat Jan 22 2005 Alexey Morozov <morozov@altlinux.org> 0.20-alt1
- numerous rpm macros enhancements (svn rev. 10)

* Thu Dec 09 2004 Andrey Orlov <cray@altlinux.ru> 0.19-alt1
- Some macros added: (py_requires, py_provides, etc)

* Fri Oct 29 2004 Andrey Orlov <cray@altlinux.ru> 0.18-alt1
- Preliminary fix for python2.4 compatibility has been added

* Wed Oct 27 2004 Andrey Orlov <cray@altlinux.ru> 0.17-alt1
- Documentation is fixed: special thanks for Ivan Fedorov
- Some stupid bugs that damaged tracebacks are fixed. I think all python 
  packages must be rebuilded.

* Tue Oct 05 2004 Andrey Orlov <cray@altlinux.ru> 0.16-alt6
- Splitted module support added
- Recursive module support added

* Sat Sep 11 2004 Andrey Orlov <cray@altlinux.ru> 0.15-alt1
- Policy files are renamed by MHZ request;
- Some macros added (see RpmMacros.txt);
- File "=" don't be created any more (bug);
- python-<modulename> don't be provided any more (bug #4819)

* Fri Sep 10 2004 Andrey Orlov <cray@altlinux.ru> 0.14-alt2
- Some changes from Alexey Morozov <morozov@altlinux.org> added,
  descriptions followed:

- Defined %__python_package_prefix, typo fixes in macro functions
  documentation;
- Updated Python_MODULE.txt;

* Tue Jul 20 2004 Andrey Orlov <cray@altlinux.ru> 0.13-alt1
- Documentation changed
- Keyword "relaxed" can be used instead "slight"

* Wed Jun 30 2004 Andrey Orlov <cray@altlinux.ru> 0.12-alt3
- Article about "Require python2.3(__future__)" added into FAQ;
- Codec declaration excluded from find req/prov python scripts;

* Wed Jun 23 2004 Andrey Orlov <cray@altlinux.ru> 0.12-alt2
- Python build utilites will be silently exit if python are not fully installed;
- Python auto Prov use *pth files now;

* Thu May 20 2004 Andrey Orlov <cray@altlinux.ru> 0.11-alt1
- Fix some python2.2 incompatibilites

* Tue May 18 2004 Andrey Orlov <cray@altlinux.ru> 0.10-alt3
- Provides detection enchanced (detect old-style <name>module.so library);
- Some historical clauses exluded from bdist_altrpm;
- Some documentation changes;

* Mon May 17 2004 Andrey Orlov <cray@altlinux.ru> 0.9-alt1
- Ready for sysiphus

* Mon May 10 2004 Andrey Orlov <cray@altlinux.ru> 0.8-alt3
- Package rebuilded to use with new rpm

* Sun Apr 25 2004 Andrey Orlov <cray@altlinux.ru> 0.8-alt2
- Some domcmentations added;

* Wed Apr 21 2004 Andrey Orlov <cray@altlinux.ru> 0.8-alt1
- Fix another "BuildNoarch Problem": BuildRequires correctly inserted now;

* Tue Apr 13 2004 Andrey Orlov <cray@altlinux.ru> 0.7-alt1
- Add BuildPreReq: python_devel = X.Y into spec setup function;
- Fix "BuildNoarch Problem"
- Add some documentation

* Sun Mar 28 2004 Andrey Orlov <cray@altlinux.ru> 0.6-alt1
- Debugging operators removed

* Sat Mar 27 2004 Andrey Orlov <cray@altlinux.ru> 0.5-alt1
- Sources put into archive
- BuildPreReq added into setup_python_module

* Thu Mar 25 2004 Andrey Orlov <cray@altlinux.ru> 0.4-alt2
- Command bdist_altrpm for distutils added;
 
* Mon Mar 15 2004 Andrey Orlov <cray@altlinux.ru> 0.3-alt2
- New bytecompiler added
- Defaults treatment enhanced

* Sun Feb 29 2004 Andrey Orlov <cray@altlinux.ru> 0.2-alt2
- Python scripts for find provides and requires added;
- New RPM macros;
- Samples of find-* added;

* Mon Feb 23 2004 Andrey Orlov <cray@altlinux.ru> 0.1-alt1
- Initial release

